# Hi3D Texture API

> Referans görsel kullanarak dokusuz bir GLB poligon ağına doku uygular

Referans görüntünün (PNG, JPEG veya WebP, en fazla 20MB) yönlendirmesiyle mevcut yalnızca geometriden oluşan GLB'ye doku uygular. Yalnızca v1.5 modelleri desteklenir: hitem3dv1.5, 512 ile 1536pro arasındaki çözünürlükleri sunarken portre varyantı 1536 kullanır. Dışa aktarma biçimleri glb, obj, stl, fbx ve usdz'dir.

- Model id: `hitem3d/hi3d/texture`
- Made by: Hitem3D
- Category: 3D
- Output: 3d
- Estimated price per run: $0.30 / run (cheapest run $0.30 (300 API credits))
- Run: `POST https://api.doitong.com/v1/run/hitem3d/hi3d/texture`
- Quote: `POST https://api.doitong.com/v1/quote/hitem3d/hi3d/texture`
- Docs page: https://doitong.com/tr/developers/models/hitem3d/hi3d/texture

## Pricing

Price: **$0.30 / run**. Estimated from the typical cost of one run. The quote is exactly what the run charges.

The full example input below costs $0.30 = 300 API credits (1 request × 300 API credits).

Prices are the upstream price in USD, paid from the API balance in API credits (1000 API credits = 1 USD). `POST https://api.doitong.com/v1/quote/hitem3d/hi3d/texture` with the same JSON body returns the exact price for that input; the quote is exactly what a run charges. Invalid input is never charged and failed or canceled requests are refunded automatically.

## Input parameters

Send either the canonical name or the native field name (not both). Canonical names are the same across models.

| Parameter | Canonical name | Type | Required | Default | Allowed values / range | Description |
|---|---|---|---|---|---|---|
| `image_url` | `image` | string (image URL) | yes |  |  | Dokulama referansını, maksimum 20 MB boyutunda PNG, JPEG veya WebP görseli kullanan bir URL ile sağlayın. |
| `mesh_url` |  | string | yes |  |  | Dokulanacak geometriyi GLB biçimindeki bir URL ile sağlayın; başka biçimler desteklenmez. Uygun kaynaklardan biri, enable_texture=false ile üretilmiş görselden 3D geometri çıktısıdır. |
| `model` |  | enum (string) | no | `hitem3dv1.5` | `hitem3dv1.5`, `scene-portraitv1.5` | Dokulama için kullanılacak model sürümü. Aşamalı doku görevi bir v1.5 modeli gerektirir. |
| `resolution` |  | enum (string) \| null | no |  | `512`, `1024`, `1536`, `1536pro` | Bir doku çözünürlüğü seçin veya modelin önerisini kullanmak için ayarı boş bırakın. scene-portraitv1.5 için tek seçenek 1536 iken hitem3dv1.5, 512, 1024, 1536 ve 1536pro değerlerini destekler. |
| `export_format` |  | enum (string) | no | `glb` | `glb`, `obj`, `stl`, `fbx`, `usdz` | Üretilen modeli kaydetmek için kullanılan biçim. |
| `enable_safety_checker` |  | boolean | no | `true` |  | Girdi görselleri için güvenlik taraması geçişi: true, görsel işleme başlamadan önce güvenlik denetimi gerektirir. |

File parameters (`image`) take a public `https://` URL, a `data:` URI up to 10 MB, or the `file_url` of an upload from `POST /files`.

## Example input

Required parameters only:

```json
{
  "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
  "mesh_url": "https://example.com/your-file.glb"
}
```

A fuller example:

```json
{
  "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
  "mesh_url": "https://example.com/your-file.glb"
}
```

## Run it

Set `DOITONG_API_KEY` to a key from https://doitong.com/developers/dashboard#keys. `?wait=20` returns the finished request in the same call when it is ready within 20 seconds; otherwise poll `GET /requests/{id}` (it also accepts `?wait=`), or pass `webhook_url`.

### curl

```bash
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/hitem3d/hi3d/texture?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "mesh_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"
```

### JavaScript

```javascript
const API = "https://api.doitong.com/v1";
const headers = {
  "Authorization": "Bearer " + process.env.DOITONG_API_KEY,
  "Content-Type": "application/json",
};

// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/hitem3d/hi3d/texture?wait=20", {
  method: "POST",
  headers,
  body: JSON.stringify({
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "mesh_url": "https://example.com/your-file.glb"
  }),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);

// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
  res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
  request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
```

### Python

```python
import os
import requests

API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}

payload = {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "mesh_url": "https://example.com/your-file.glb",
}

# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/hitem3d/hi3d/texture", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
    raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])

# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
    request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
    raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
```

### MCP

The MCP server at `https://api.doitong.com/v1/mcp` exposes the tools `search_models`, `get_model`, `quote`, `run`, `get_request`, `cancel_request`, `list_requests`, `create_upload` and `get_account`. A `run` call for this model:

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "run",
    "arguments": {
      "model_id": "hitem3d/hi3d/texture",
      "input": {
        "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
        "mesh_url": "https://example.com/your-file.glb"
      },
      "wait_seconds": 20
    }
  }
}
```

## Response

Every call returns a request object. `status` is one of `queued`, `running`, `succeeded`, `failed`, `canceled`. `outputs` lists the generated files with URLs on our storage (kept forever, or 7 days with `?storage=temporary`; `storage` says which); `output` is the model's own result object with the same URLs.

```json
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "hitem3d/hi3d/texture",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 300,
    "usd": "0.30",
    "charged": 300,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "mesh_url": "https://example.com/your-file.glb"
  },
  "output": {
    "model_mesh": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "thumbnail": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
```

### Output fields (`output`)

| Field | Type | Description |
|---|---|---|
| `model_mesh` | object {url, content_type, file_name, file_size} | Üretilen 3D modeli içeren dosya. |
| `thumbnail` | object {url, content_type, file_name, file_size} \| null | Kullanılabilir olduğunda sağlanan model önizleme görseli. |

## Related models

- [Hi3D Image to Relief](https://doitong.com/developers/models/hitem3d/hi3d/image-to-relief.md) (`hitem3d/hi3d/image-to-relief`): $0.20 / run
- [Hi3D Image to 3D](https://doitong.com/developers/models/hitem3d/hi3d/image-to-3d.md) (`hitem3d/hi3d/image-to-3d`): $0.50 / run
- [Hi3D Multiview to 3D · Multi View to 3D](https://doitong.com/developers/models/hitem3d/hi3d/multi-view-to-3d.md) (`hitem3d/hi3d/multi-view-to-3d`): $0.50 / run
- [Hi3D 3D Part Splitter](https://doitong.com/developers/models/hitem3d/hi3d/split.md) (`hitem3d/hi3d/split`): $0.40 / run
- [Hi3D 3D to Multicolor](https://doitong.com/developers/models/hitem3d/hi3d/multicolor.md) (`hitem3d/hi3d/multicolor`): $0.40 / run
- [Abot World 0](https://doitong.com/developers/models/alibaba/abot-world-0.md) (`alibaba/abot-world-0`): $0.001 / run
- [Hunyuan 3D Part Splitter](https://doitong.com/developers/models/hunyuan-3d/v3.1/part.md) (`hunyuan-3d/v3.1/part`): $0.45 / run
- [Hunyuan 3D Smart Topology](https://doitong.com/developers/models/hunyuan-3d/v3.1/smart-topology.md) (`hunyuan-3d/v3.1/smart-topology`): $0.75 / run

## Links

- HTML page: https://doitong.com/developers/models/hitem3d/hi3d/texture
- All models and guides for AI agents: https://doitong.com/developers/llms.txt
- OpenAPI 3.1 with this model's typed request body: https://doitong.com/developers/openapi.json?model=hitem3d/hi3d/texture
- Errors: https://doitong.com/developers/docs/errors
- Model details as JSON: https://api.doitong.com/v1/models/hitem3d/hi3d/texture
